/**
  *  \file ui/widgets/focusiterator.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_FOCUSITERATOR_H
#define PCC_V2_UI_WIDGETS_FOCUSITERATOR_H

#include "ui/ui.h"

class UIFocusIterator : public UIFixedWidget {
    int from, to, flags;
 public:
    UIFocusIterator(int from, int to, int flags);
    ~UIFocusIterator();

    void drawContent(GfxCanvas& can);
    bool handleEvent(const UIEvent& e, bool second_pass);

    enum {
        fi_Horiz = 1,           ///< Accept horizontal movement keys.
        fi_Vert  = 2,           ///< Accept vertical movement keys.
        fi_Tab   = 4,           ///< Accept Tab key.
        fi_Page  = 8,           ///< Accept page up/down keys.
        fi_Home  = 16,          ///< Accept home/end keys.
        fi_Wrap  = 32,          ///< Accept wraparound for horizontal/vertical movement.
        fi_INTERNAL_NEGATE = 64
    };
};

#endif
